function [A] = matrix(k)
% MATRIX generates the matrix A[k], k=0,...,m-1
%
global m C L R

phi = k*2*pi/(m-1);
A   = [     
                     0, cos(phi)/C, sin(phi)/C
       -cos(phi)/1.5/L,       -R/L,          0
       -sin(phi)/1.5/L,          0,       -R/L
      ];

% end matrix

